org.eclipse.rdf4j.query.algebra.evaluation.federation

## Class FederatedServiceResolverImpl

- java.lang.Object
- - org.eclipse.rdf4j.query.algebra.evaluation.federation.AbstractFederatedServiceResolver
  - - org.eclipse.rdf4j.repository.sparql.federation.SPARQLServiceResolver
    - - org.eclipse.rdf4j.query.algebra.evaluation.federation.FederatedServiceResolverImpl

- All Implemented Interfaces:
    HttpClientDependent, SesameClientDependent, SessionManagerDependent, FederatedServiceResolver

  Deprecated.
  since 2.3 use `SPARQLServiceResolver`

      @Deprecated
      public class FederatedServiceResolverImpl
      extends SPARQLServiceResolver

  The `FederatedServiceResolverImpl` is used to manage a set of `FederatedService` instances, which are used to evaluate SERVICE expressions for particular service Urls.

  Lookup can be done via the serviceUrl using the method `AbstractFederatedServiceResolver.getService(String)`. If there is no service for the specified url, a `SPARQLFederatedService` is created and registered for future use.

  Author:
    Andreas Schwarte, James Leigh

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.query.algebra.evaluation.federation.AbstractFederatedServiceResolver

      `endpointToService`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FederatedServiceResolverImpl()` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.rdf4j.repository.sparql.federation.SPARQLServiceResolver

      `createService, getHttpClient, getHttpClientSessionManager, setHttpClient, setHttpClientSessionManager, shutDown`

    - ### Methods inherited from class org.eclipse.rdf4j.query.algebra.evaluation.federation.AbstractFederatedServiceResolver

      `getService, hasService, registerService, unregisterAll, unregisterService`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.algebra.evaluation.federation.FederatedServiceResolver

      `getService`

    - ### Methods inherited from interface org.eclipse.rdf4j.http.client.SesameClientDependent

      `getSesameClient, setSesameClient`

- - ### Constructor Detail

    - #### FederatedServiceResolverImpl

          public FederatedServiceResolverImpl()

      Deprecated.

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.